Topic: RHEL 7: Update, libicu-last, to version 54.1

This version fixes a lot of relevant
http://site.icu-project.org/download/54

Will be very useful the update package.
Thank!

Re: RHEL 7: Update, libicu-last, to version 54.1

My initial plan was to provide backport (for EL-6) of version available in EL-7, so 50

Perhaps I will consider an update to a more recent version later, backported from Fedora packages, but
- Fedora 21 (not yet release) only have 52
- Fedora rawhide only have 53
- rebuild of all PHP packages will be required
- not yet any information about this version on http://upstream.rosalinux.ru/versions/icu4c.html

Sorry, this could happen, but not "now".

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 24 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.8 x86_64 + EPEL + remi + remi-php70

Re: RHEL 7: Update, libicu-last, to version 54.1

Ok
The main problem of older versions, the lack of actual TimeZones 2014 year.

Re: RHEL 7: Update, libicu-last, to version 54.1

Hmm is this still an issue "actual Timezones 2014" ? Thanks for pointing that out...

Re: RHEL 7: Update, libicu-last, to version 54.1

EJuiceNL wrote:

Hmm is this still an issue "actual Timezones 2014" ? Thanks for pointing that out...

Updating the Time Zone Data: 2014h
http://site.icu-project.org/download/54

Re: RHEL 7: Update, libicu-last, to version 54.1

Fedora Rawhide, available libicu-56.1-1
http://pkgs.org/fedora-rawhide/fedora-x … 4.rpm.html

I think now is the time to update PHP 7 Intl module to version ICU 5.6.1
What do you think about it?

Re: RHEL 7: Update, libicu-last, to version 54.1

I think ICU 56.1 breaks too much things, at least ZF2
https://github.com/zendframework/zend-i18n/issues/14

Notice: for "icu-last", I prefer to backport a stable an tested version, so from a stable distro.
I could have use 52.1 (from F21) or 54.1 (from F22/23), but I prefer to keep 50.1 (from RHEL-7) to have the same behavior in both.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 24 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.8 x86_64 + EPEL + remi + remi-php70

8 (edited by S.A.N 2015-11-02 15:07:06)

Re: RHEL 7: Update, libicu-last, to version 54.1

Maybe it makes sense, to make the package icu-last (last mainstream stable version) now it is ICU-5.4
But, I'd like the icu-last-5.6 from remi-test repository smile